/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/

#if !defined(BOOST_TRAVERSAL_AUTO_PTR_20080406_1033)
#define BOOST_TRAVERSAL_AUTO_PTR_20080406_1033

#include <boost/mpl/bool.hpp>
#include <boost/mpl/apply.hpp>

#include <memory>

namespace boost { namespace traversal { namespace pattern {
    template<typename Member>
    struct auto_ptr
    {
        template<typename T>
        struct apply
            : mpl::false_
        {};

        template<typename T>
        struct apply<std::auto_ptr<T> >
            : mpl::apply<Member, T>
        {};
    };
}}}

#endif
