/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/

#if !defined(BOOST_TRAVERSAL_LIT_20080406_1453)
#define BOOST_TRAVERSAL_LIT_20080406_1453

#include <boost/type_traits/is_same.hpp>

namespace boost { namespace traversal { namespace pattern {

    template<typename T>
    struct lit
    {
        template<typename U>
        struct apply
            : is_same<T, U>
        {};
    };
}}}

#endif
