/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/

#if !defined(BOOST_TRAVERSAL_POINTER_20080412_1732)
#define BOOST_TRAVERSAL_POINTER_20080412_1732

#include <boost/mpl/apply.hpp>
#include <boost/mpl/bool.hpp>

namespace boost { namespace traversal { namespace pattern {
    template<typename Pointed>
    struct pointer
    {
        template<typename T>
        struct apply
            : mpl::false_
        {};

        template<typename T>
        struct apply<T*>
            : mpl::apply<Pointed, T>
        {};
    };
}}}

#endif
