/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_CONSTANT_20070924_1647)
#define BOOST_TRAVERSAL_CONSTANT_20070924_1647

#include <utility>

namespace boost { namespace traversal { namespace detail {
    template<typename T>
    struct constant
    {
        typedef T result_type;

        T t;
        
        template<typename U0>
        T const& operator()(U0&) const
        {
            return t;
        }

        template<typename U0, typename U1>
        T const& operator()(U0&,U1&) const
        {
            return t;
        }
    };
}}}

#endif
