/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/

#if !defined(BOOST_TRAVERSAL_OPTIONAL_20080406_1030)
#define BOOST_TRAVERSAL_OPTIONAL_20080406_1030

#include <boost/mpl/bool.hpp>
#include <boost/mpl/apply.hpp>
#include <boost/optional.hpp>

namespace boost { namespace traversal { namespace pattern {
    template<typename Member>
    struct optional
    {
        template<typename T>
        struct apply
            : mpl::false_
        {};

        template<typename T>
        struct apply<boost::optional<T> >
            : mpl::apply<Member, T>
        {};
    };
}}}

#endif
