/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_SEQUENCE_PARENT_20070924_1639)
#define BOOST_TRAVERSAL_SEQUENCE_PARENT_20070924_1639

namespace boost { namespace traversal { namespace detail {
    struct sequence_parent_impl
    {
        template<
            typename T,
            typename InUnaryFunc, 
            typename OutUnaryFunc, 
            typename OneImplementation, 
            typename RecursiveUnaryFunc,
            typename Parent>
        bool operator()(T& t, InUnaryFunc in, OutUnaryFunc out, OneImplementation one, 
                        RecursiveUnaryFunc rec, Parent& parent) const
        {
            return in(t, parent), one(t, rec.rebind(t)), out(t, parent), true;
        }
    };

    sequence_parent_impl const sequence_parent = {};
}}}

#endif
