/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/
#if !defined(BOOST_TRAVERSAL_IS_VARIANT_20070830)
#define BOOST_TRAVERSAL_IS_VARIANT_20070830

#include <boost/variant.hpp>
#include <boost/mpl/bool.hpp>

namespace boost { namespace traversal {
    namespace traits
    {
        template<typename T>
        struct is_variant
            : mpl::false_
        {};

        template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
        struct is_variant<boost::variant<BOOST_VARIANT_ENUM_PARAMS(T)> >
            : mpl::true_
        {};
    }
}}

#endif
