/*=============================================================================
    Copyright (c) 2007-2008 Dan Marsden

    Distributed under the Boost Software License, Version 1.0. (See accompanying 
    file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
==============================================================================*/

#include <boost/traversal/pattern/lit.hpp>

#include <boost/mpl/assert.hpp>
#include <boost/mpl/apply.hpp>

using namespace boost::traversal;
namespace mpl = boost::mpl;

int main()
{
    BOOST_MPL_ASSERT((mpl::apply<pattern::lit<int>, int>));
    BOOST_MPL_ASSERT_NOT((mpl::apply<pattern::lit<int>, double>));
}
